# SelectModifierPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SelectModifierPhase

#### Hierarchy (View Summary)

- BattlePhase
  - SelectModifierPhase

- Defined in src/phases/select-modifier-phase.ts:35

##### Index

### Constructors

constructor

### Methods

addModifier
copy
end
getModifierTypeOptions
getPoolType
getRerollCost
hideEnemyTrainer
isPlayer
showEnemyTrainer
start
updateSeed

## Constructors

### constructor

- new SelectModifierPhase(
  rerollCount?: number,
  modifierTiers?: ModifierTier [],
  customModifierSettings?: CustomModifierSettings ,
  isCopy?: boolean,
  ): SelectModifierPhase

  #### Parameters

  - rerollCount: number = 0
  - `Optional` modifierTiers: ModifierTier []
  - `Optional` customModifierSettings: CustomModifierSettings
  - isCopy: boolean = false

  #### Returns SelectModifierPhase

  Overrides BattlePhase.constructor

  - Defined in src/phases/select-modifier-phase.ts:43

## Methods

### addModifier

- addModifier(modifier: Modifier ): boolean

  #### Parameters

  - modifier: Modifier

  #### Returns boolean

  - Defined in src/phases/select-modifier-phase.ts:434

### copy

- copy(): SelectModifierPhase

  #### Returns SelectModifierPhase

  - Defined in src/phases/select-modifier-phase.ts:421

### end

- end(): void

  #### Returns void

  Inherited from BattlePhase.end

  - Defined in src/phase.ts:6

### getModifierTypeOptions

- getModifierTypeOptions(modifierCount: number): ModifierTypeOption []

  #### Parameters

  - modifierCount: number

  #### Returns ModifierTypeOption []

  - Defined in src/phases/select-modifier-phase.ts:412

### getPoolType

- getPoolType(): ModifierPoolType

  #### Returns ModifierPoolType

  - Defined in src/phases/select-modifier-phase.ts:408

### getRerollCost

- getRerollCost(lockRarities: boolean): number

  #### Parameters

  - lockRarities: boolean

  #### Returns number

  - Defined in src/phases/select-modifier-phase.ts:372

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from BattlePhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### isPlayer

- isPlayer(): boolean

  #### Returns boolean

  - Defined in src/phases/select-modifier-phase.ts:368

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from BattlePhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Overrides BattlePhase.start

  - Defined in src/phases/select-modifier-phase.ts:57

### updateSeed

- updateSeed(): void

  #### Returns void

  - Defined in src/phases/select-modifier-phase.ts:364